[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Instalação Customizada com preseed



Bem vamos lá.

Na verdade estou fazendo com ubuntu 10.04, mas o esquema é o mesmo.
Seguindo esses parâmetros: https://help.ubuntu.com/10.04/installation-guide/example-preseed.txt

A instalação da erro na hora de instalar o base-system, diz que não consegue achar a tarefa minimal e server.
pelo que vi é um processo que fica "in-target" .

Eu copiei o ubuntu-server.seed padrão do instalador e adicionei algums parâmetros :

d-i apt-setup/restricted boolean false
d-i apt-setup/universe boolean false
d-i apt-setup/backports boolean false
d-i apt-setup/security boolean false

# Uncomment this if you don't want to use a network mirror.
d-i apt-setup/use_mirror boolean false


# Suggest LVM by default.
d-i    partman-auto/init_automatically_partition    string some_device_lvm
d-i    partman-auto/init_automatically_partition    seen false
# Always install the PAE kernel.
d-i    base-installer/kernel/override-image    string linux-generic-pae
# Install the Ubuntu Server seed.
#tasksel    tasksel/force-tasks    string server
# Only install basic language packs. Let tasksel ask about tasks.
d-i    pkgsel/language-pack-patterns    string
# No language support packages.
d-i    pkgsel/install-language-support    boolean false
# Only ask the UTC question if there are other operating systems installed.
d-i    clock-setup/utc-auto    boolean true
# No boot splash screen.
d-i    debian-installer/splash    boolean false
# Install the debconf oem-config frontend (if in OEM mode).
d-i    oem-config-udeb/frontend    string debconf
# Add the network and tasks oem-config steps by default.
#oem-config    oem-config/steps    multiselect language, timezone, keyboard, user, network, tasks
#Não atualizar via repositorio de seguranca
d-i pkgsel/update-policy select none
#d-i     pkgsel/include  string apache2 unixodbc postgresql-9.0 rpm odbc-postgresql lynx vim cupsys foomatic-db cupsys-driver-gutenprint cupsys-bsd hpijs foomatic-db-hpijs foomatic-filters smbclient unzip zip rsync iptraf gawk libapache2-mod-php5 php5-cli php5-pgsql python-imaging python2.5 ccrypt postfix mutt foo2zjs nmap dialog sun-java6-jre ntpdate libsasl2-modules


d-i preseed/late_command string in-target apt-install openssh-server
# Roda script para configuração do sistema
d-i preseed/late_command string in-target apt-install zsh; in-target chsh -s /bin/zsh

d-i preseed/late_command string \
    in-target sh /cdrom/jotec/confs-jotec.sh


Bem se alguém puder me ajudar agradeço.


Valeu.



Em 22 de fevereiro de 2011 09:31, Gustavo Soares [SLot] <slot.mg@gmail.com> escreveu:
Manda pra gente como você está fazendo, estou terminando de fazer um CDD com alguns pacotes, vai que te ajuda também.



Em 21-02-2011 21:45, Eduardo Lopes escreveu:

Boa noite,

Alguém já faz alguma customização no instalador do debian com o preseed ? Estou tendo problemas com ele. Quando chega na hora de instalar os pacotes adicionais da erro dizendo que não existe os pacotes. Agora não sei se é o arquivo Packages que estou gerando errado ou algum parametro que estou esquecendo de colocar.

Bem se alguém tiver experiencia no assunto ou algum material para indicar eu agradeço.

Valeu

--
Eduardo Lopes


--
-------------------
SLot
UIN: 19596909
Linux User: 124842
Jabber: slot@jabber-br.org
Emails: slot.mg@gmail.com  | slot@xen-br.org


--
To UNSUBSCRIBE, email to debian-user-portuguese-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4D63AC98.2070706@gmail.com" target="_blank">http://lists.debian.org/4D63AC98.2070706@gmail.com




--
Eduardo Lopes

Reply to: